Subject: [sidr] FW: New Version Notification for draft-sriram-idr-route-leak-detection-mitigation-00.txt

From: "Sriram, Kotikalapudi" <[email-masked]>
Date: Mon, 9 Mar 2015 22:16:54 +0000

Route leaks problem definition is already work in progress in the GROW WG.
http://tools.ietf.org/html/draft-ietf-grow-route-leak-problem-definition-01 

This related new draft addresses techniques for detection and mitigation of route leaks.
The IDR chairs have agreed to include this draft in the agenda for Dallas.
So we (the authors) look forward to presenting this work and receiving your comments.
Comments are welcome on the mailing list as well.

Sriram
----------------------------------------

A new version of I-D, draft-sriram-idr-route-leak-detection-mitigation-00.txt
has been successfully submitted by Kotikalapudi Sriram and posted to the IETF repository.

Name:		draft-sriram-idr-route-leak-detection-mitigation
Revision:	00
Title:		Methods for Detection and Mitigation of BGP Route Leaks
Document date:	2015-03-09
Group:		Individual Submission
Pages:		14
URL:            http://www.ietf.org/internet-drafts/draft-sriram-idr-route-leak-detection-mitigation-00.txt
Status:         https://datatracker.ietf.org/doc/draft-sriram-idr-route-leak-detection-mitigation/
Htmlized:       http://tools.ietf.org/html/draft-sriram-idr-route-leak-detection-mitigation-00

Abstract:
   In [I-D.ietf-grow-route-leak-problem-definition], the authors have
   provided a definition of the route leak problem, and also enumerated
   several types of route leaks.  In this document, we first examine
   which of those route-leak types are detected and mitigated by the
   existing origin validation [RFC 6811] and BGPSEC path validation [I-
   D.ietf-sidr-bgpsec-protocol].  Where the current BGPSEC protocol
   doesn't offer a solution, this document suggests an enhancement that
   would extend the route-leak detection and mitigation capability of
   BGPSEC.  The solution can be implemented in BGP without necessarily
   tying it to BGPSEC.  Incorporating the solution in BGPSEC is one way
   of implementing it in a secure way.  We do not claim to have provided
   a solution for all possible types of route leaks, but the solution
   covers several, especially considering some significant route-leak
   attacks or occurrences that have been observed in recent years.  The
   document also includes a stopgap method for detection and mitigation
   of route leaks for the phase when BGPSEC (path validation) is not yet
   deployed but only origin validation is deployed.